ADAM_2.12: Core 1.0.1 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package converters
  Definition Classes
    adam
- AlignmentConverter
- DefaultHeaderLines
- VariantContextConverter

c

org.bdgenomics.adam.converters

# AlignmentConverter 

###
Companion object AlignmentConverter

#### class AlignmentConverter extends Serializable with Logging

Conversions between Alignments and other formats.

Linear Supertypes
Logging, Serializable, Serializable, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. AlignmentConverter
2. Logging
3. Serializable
4. Serializable
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new AlignmentConverter()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native() @HotSpotIntrinsicCandidate()
6.  def convert(adamRecord: Alignment, header: SAMFileHeader, rgd: ReadGroupDictionary): SAMRecord

   Converts a single ADAM record into a SAM record.

   Converts a single ADAM record into a SAM record.

   adamRecord

     ADAM formatted alignment to convert.

   header

     SAM file header to attach to the record.

   rgd

     Dictionary describing the read groups that are in the RDD that this read is from.

   returns

     Returns the record converted to htsjdk format. Can be used for output to SAM/BAM.

7.  def convert(samRecord: SAMRecord): Alignment

   Converts a SAM record into an Avro Alignment.

   Converts a SAM record into an Avro Alignment.

   samRecord

     Record to convert.

   returns

     Returns the original record converted into Avro.

8.  def convertFragment(fragment: Fragment): Iterable[Alignment]

   Converts a fragment to a set of reads.

   Converts a fragment to a set of reads.

   fragment

     Fragment to convert.

   returns

     The collection of alignments described by the fragment. If the fragment doesn't contain any alignments, this method will return one unaligned Alignment per sequence in the Fragment.

9.  def convertSecondReadToTab5(adamRecord: Alignment, writeOriginalQualityScores: Boolean = false): String

   Converts a single record representing the second read of a pair to Bowtie tab5 format.

   Converts a single record representing the second read of a pair to Bowtie tab5 format.

   In Bowtie tab5 format, each alignment or pair is on a single line. An unpaired alignment line is [name]\t[seq]\t[qualityScores]\n. A paired-end read line is [name]\t[seq1]\t[qualityScores1]\t[seq2]\t[qualityScores2]\n.

   If the base quality scores are unknown (qualityScores is null or equals "*"), the quality scores will be a repeated string of 'B's that is equal to the read length.

   adamRecord

     Read to convert to FASTQ.

   writeOriginalQualityScores

     If true and the original base quality scores field is set (SAM "OQ" tag), outputs the original quality scores. Else, output the qualityScores field. Defaults to false.

   returns

     Returns this read in string form.

10.  def convertToFastq(adamRecord: Alignment, maybeAddSuffix: Boolean = false, writeOriginalQualityScores: Boolean = false): String

    Converts a single record to FASTQ format.

    Converts a single record to FASTQ format.

    FASTQ format is:

        @readName
        sequence
        +<optional readname>
        ASCII quality scores

    If the base quality scores are unknown (qualityScores is null or equals "*"), the quality scores will be a repeated string of 'B's that is equal to the read length.

    adamRecord

      Read to convert to FASTQ.

    maybeAddSuffix

      If true, check if a "/%d" suffix is attached to the read. If there is no suffix, a slash and the number of the read in the sequenced fragment is appended to the readname. Default is false.

    writeOriginalQualityScores

      If true and the original base quality score field is set (SAM "OQ" tag), outputs the original quality scores. Else, output the qualityScores field. Defaults to false.

    returns

      Returns this read in string form.

11.  def convertToTab5(adamRecord: Alignment, writeOriginalQualityScores: Boolean = false): String

    Converts a single record to Bowtie tab5 format.

    Converts a single record to Bowtie tab5 format.

    In Bowtie tab5 format, each alignment or pair is on a single line. An unpaired alignment line is [name]\t[seq]\t[qualityScores]\n. A paired-end read line is [name]\t[seq1]\t[qualityScores1]\t[seq2]\t[qualityScores2]\n.

    The index suffix will be trimmed from the read name if present.

    If the base quality scores are unknown (qualityScores is null or equals "*"), the quality scores will be a repeated string of 'B's that is equal to the read length.

    adamRecord

      Read to convert to FASTQ.

    writeOriginalQualityScores

      If true and the original base quality scores field is set (SAM "OQ" tag), outputs the original quality scores. Else, output the qualityScores field. Defaults to false.

    returns

      Returns this read in string form.

12.  def convertToTab6(adamRecord: Alignment, maybeAddSuffix: Boolean = false, writeOriginalQualityScores: Boolean = false): String

    Converts a single record to Bowtie tab6 format.

    Converts a single record to Bowtie tab6 format.

    In Bowtie tab6 format, each alignment or pair is on a single line. An unpaired alignment line is [name]\t[seq]\t[qualityScores]\n. For paired-end alignments, the second end can have a different name from the first: [name1]\t[seq1]\t[qualityScores1]\t[name2]\t[seq2]\t[qualityScores2]\n.

    If the base quality scores are unknown (qualityScores is null or equals "*"), the quality scores will be a repeated string of 'B's that is equal to the read length.

    adamRecord

      Read to convert to FASTQ.

    maybeAddSuffix

      If true, check if a "/%d" suffix is attached to the read. If there is no suffix, a slash and the number of the read in the sequenced fragment is appended to the readname. Default is false.

    writeOriginalQualityScores

      If true and the original base quality scores field is set (SAM "OQ" tag), outputs the original quality scores. Else, output the qualityScores field. Defaults to false.

    returns

      Returns this read in string form.

13.  def createSAMHeader(sd: SequenceDictionary, rgd: ReadGroupDictionary): SAMFileHeader

    Creates a SAM formatted header.

    Creates a SAM formatted header. This can be used with SAM or BAM files.

    sd

      Reference sequence dictionary to use for conversion.

    rgd

      Dictionary containing read groups.

    returns

      Converted SAM formatted record.

14.  def debug(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
15.  def debug(msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
16.  def debug(msg: ⇒ Any): Unit
    Attributes
      protected
    Definition Classes
      Logging
17.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
19.  def error(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
20.  def error(msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
21.  def error(msg: ⇒ Any): Unit
    Attributes
      protected
    Definition Classes
      Logging
22.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
23.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
24.  def info(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
25.  def info(msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
26.  def info(msg: ⇒ Any): Unit
    Attributes
      protected
    Definition Classes
      Logging
27.  def isDebugEnabled: Boolean
    Attributes
      protected
    Definition Classes
      Logging
28.  def isErrorEnabled: Boolean
    Attributes
      protected
    Definition Classes
      Logging
29.  def isInfoEnabled: Boolean
    Attributes
      protected
    Definition Classes
      Logging
30.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
31.  def isTraceEnabled: Boolean
    Attributes
      protected
    Definition Classes
      Logging
32.  def isWarnEnabled: Boolean
    Attributes
      protected
    Definition Classes
      Logging
33.  def logger: Logger
    Attributes
      protected
    Definition Classes
      Logging
34.  def loggerName: String
    Attributes
      protected
    Definition Classes
      Logging
35.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
36.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
37.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
38.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
39.  def toString(): String
    Definition Classes
      AnyRef → Any
40.  def trace(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
41.  def trace(msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
42.  def trace(msg: ⇒ Any): Unit
    Attributes
      protected
    Definition Classes
      Logging
43.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
44.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
45.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
46.  def warn(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
47.  def warn(msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
48.  def warn(msg: ⇒ Any): Unit
    Attributes
      protected
    Definition Classes
      Logging

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated
   Deprecated

### Inherited from Logging

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped